DROP SPECIFIC FUNCTION XUDFS.XUDFS080101;
CREATE FUNCTION XUDFS.XSHREDDER (
      VARCHAR(32000),
      VARCHAR(256),
      VARCHAR(256))
    RETURNS TABLE (xrow INT)
    SPECIFIC XUDFS080101
    EXTERNAL NAME 'db2psmds!xshredder_vc'
    LANGUAGE C
    PARAMETER STYLE DB2SQL
    NO SQL
    DETERMINISTIC
    NO EXTERNAL ACTION
    NOT FENCED
    SCRATCHPAD
    NO FINAL CALL
    DISALLOW PARALLEL;
COMMIT;

DROP SPECIFIC FUNCTION XUDFS.XUDFS080102;
CREATE FUNCTION XUDFS.XSHREDDER (
      CLOB(4M),
      VARCHAR(256),
      VARCHAR(256))
    RETURNS TABLE (xrow INT)
    SPECIFIC XUDFS080102
    EXTERNAL NAME 'db2psmds!xshredder_clob'
    LANGUAGE C
    PARAMETER STYLE DB2SQL
    NO SQL
    DETERMINISTIC
    NO EXTERNAL ACTION
    NOT FENCED
    SCRATCHPAD
    NO FINAL CALL
    DISALLOW PARALLEL;
COMMIT;

DROP SPECIFIC FUNCTION XUDFS.XUDFS080103;
CREATE FUNCTION XUDFS.XSHREDCOLUMN(
        INT,
        VARCHAR(256))
  RETURNS VARCHAR(32000)
  SPECIFIC XUDFS080103
  NOT FENCED
  EXTERNAL NAME 'db2psmds!xshredcolumn_vc'
  NOT VARIANT
  NO SQL
  PARAMETER STYLE DB2SQL
  LANGUAGE C
  NO EXTERNAL ACTION;
COMMIT;

DROP SPECIFIC FUNCTION XUDFS.XUDFS080104;
CREATE FUNCTION XUDFS.XSHREDCOLUMN_CLOB(
        INT,
        VARCHAR(256))
  RETURNS CLOB(4M)
  SPECIFIC XUDFS080104
  NOT FENCED
  EXTERNAL NAME 'db2psmds!xshredcolumn_clob'
  NOT VARIANT
  NO SQL
  PARAMETER STYLE DB2SQL
  LANGUAGE C
  NO EXTERNAL ACTION;
COMMIT;

----
----

DROP SPECIFIC FUNCTION XUDFS.XUDFS080105;
CREATE FUNCTION XUDFS.XDOCUMENT(
        VARCHAR(256),
        INT,
        INT,
        INT)
  RETURNS INT
  SPECIFIC XUDFS080105
  NOT FENCED
  EXTERNAL NAME 'db2psmds!xdocument'
  NOT VARIANT
  NO SQL
  PARAMETER STYLE DB2SQL
  LANGUAGE C
  NO EXTERNAL ACTION;
COMMIT;

DROP SPECIFIC FUNCTION XUDFS.XUDFS080106;
CREATE FUNCTION XUDFS.XPARAMETER(
        INT,
        VARCHAR(256),
        VARCHAR(32000),
        INT)
  RETURNS INT
  SPECIFIC XUDFS080106
  NOT FENCED
  EXTERNAL NAME 'db2psmds!xparameter_vc'
  NOT VARIANT
  NO SQL
  PARAMETER STYLE DB2SQL
  LANGUAGE C
  NO EXTERNAL ACTION;
COMMIT;

DROP SPECIFIC FUNCTION XUDFS.XUDFS080107;
CREATE FUNCTION XUDFS.XPARAMETER(
        INT,
        VARCHAR(256),
        CLOB(4M),
        INT)
  RETURNS INT
  SPECIFIC XUDFS080107
  NOT FENCED
  EXTERNAL NAME 'db2psmds!xparameter_clob'
  NOT VARIANT
  NO SQL
  PARAMETER STYLE DB2SQL
  LANGUAGE C
  NO EXTERNAL ACTION;
COMMIT;

DROP SPECIFIC FUNCTION XUDFS.XUDFS080108;
CREATE FUNCTION XUDFS.XTABLE(
        INT,
        VARCHAR(256))
  RETURNS INT
  SPECIFIC XUDFS080108
  NOT FENCED
  EXTERNAL NAME 'db2psmds!xtable'
  NOT VARIANT
  NO SQL
  PARAMETER STYLE DB2SQL
  LANGUAGE C
  NO EXTERNAL ACTION;
COMMIT;

DROP SPECIFIC FUNCTION XUDFS.XUDFS080109;
CREATE FUNCTION XUDFS.XROW(
        INT,
        VARCHAR(256),
        INT,
        VARCHAR(256),
        VARCHAR(32000),
        INT)
  RETURNS INT
  SPECIFIC XUDFS080109
  NOT FENCED
  EXTERNAL NAME 'db2psmds!xrow'
  NOT VARIANT
  NO SQL
  PARAMETER STYLE DB2SQL
  LANGUAGE C
  NO EXTERNAL ACTION;
COMMIT;

DROP SPECIFIC FUNCTION XUDFS.XUDFS080110;
CREATE FUNCTION XUDFS.XTREE(
        INT,
        VARCHAR(256),
        VARCHAR(256),
        VARCHAR(32000),
        INT)
  RETURNS INT
  SPECIFIC XUDFS080110
  NOT FENCED
  EXTERNAL NAME 'db2psmds!xtree'
  NOT VARIANT
  NO SQL
  PARAMETER STYLE DB2SQL
  LANGUAGE C
  NO EXTERNAL ACTION;
COMMIT;

DROP SPECIFIC FUNCTION XUDFS.XUDFS080111;
CREATE FUNCTION XUDFS.XNODE(
        INT,
        VARCHAR(256),
        VARCHAR(32000),
        INT)
  RETURNS INT
  SPECIFIC XUDFS080111
  NOT FENCED
  EXTERNAL NAME 'db2psmds!xnode_vc'
  NOT VARIANT
  NO SQL
  PARAMETER STYLE DB2SQL
  LANGUAGE C
  NO EXTERNAL ACTION;
COMMIT;

DROP SPECIFIC FUNCTION XUDFS.XUDFS080112;
CREATE FUNCTION XUDFS.XNODE(
        INT,
        VARCHAR(256),
        CLOB(4M),
        INT)
  RETURNS INT
  SPECIFIC XUDFS080112
  NOT FENCED
  EXTERNAL NAME 'db2psmds!xnode_clob'
  NOT VARIANT
  NO SQL
  PARAMETER STYLE DB2SQL
  LANGUAGE C
  NO EXTERNAL ACTION;
COMMIT;

DROP SPECIFIC FUNCTION XUDFS.XUDFS080113;
CREATE FUNCTION XUDFS.XGETDOCUMENTSIZE(
        INT)
  RETURNS INT
  SPECIFIC XUDFS080113
  NOT FENCED
  EXTERNAL NAME 'db2psmds!xgetdocumentsize'
  NOT VARIANT
  NO SQL
  PARAMETER STYLE DB2SQL
  LANGUAGE C
  NO EXTERNAL ACTION;
COMMIT;

DROP SPECIFIC FUNCTION XUDFS.XUDFS080114;
CREATE FUNCTION XUDFS.XGETDOCUMENT(
        INT)
  RETURNS VARCHAR(32000)
  SPECIFIC XUDFS080114
  NOT FENCED
  EXTERNAL NAME 'db2psmds!xgetdocument_vc'
  NOT VARIANT
  NO SQL
  PARAMETER STYLE DB2SQL
  LANGUAGE C
  NO EXTERNAL ACTION;
COMMIT;

DROP SPECIFIC FUNCTION XUDFS.XUDFS080115;
CREATE FUNCTION XUDFS.XGETDOCUMENT_CLOB(
        INT)
  RETURNS CLOB(4M)
  SPECIFIC XUDFS080115
  NOT FENCED
  EXTERNAL NAME 'db2psmds!xgetdocument_clob'
  NOT VARIANT
  NO SQL
  PARAMETER STYLE DB2SQL
  LANGUAGE C
  NO EXTERNAL ACTION;
COMMIT;

DROP SPECIFIC FUNCTION XUDFS.XUDFS080116;
CREATE FUNCTION XUDFS.XRELEASEDOCUMENT(
        INT)
  RETURNS INT
  SPECIFIC XUDFS080116
  NOT FENCED
  EXTERNAL NAME 'db2psmds!xreleasedocument'
  NOT VARIANT
  NO SQL
  PARAMETER STYLE DB2SQL
  LANGUAGE C
  NO EXTERNAL ACTION;
COMMIT;
