VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "WishList"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit


'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' Inputs: MemberID, List
' Output: Integer return code
' Calls GETNONWISHEDTITLES_ExecuteCommand method in DB2Util.bas module
Public Function GetNonWishedTitlesList(ByVal MID As Integer, _
                                       ByRef List As ADODB.Recordset) _
                                       As Integer
On Error GoTo ErrorReport
    'Get Connection to Database
    Dim adoConn As ADODB.Connection
    Set adoConn = SAMPLE_GetConnection()
    
    'Open ADO Connection Object
    Call adoConn.Open

    'Calls a stored procedure on the database and returns all the
    ' non wished titles.
    Set List = GETNONWISHEDTITLES_ExecuteCommand(adoConn, MID)
    GetNonWishedTitlesList = 0

cleanup:
    Set adoConn = Nothing
    Exit Function

ErrorReport:
    GetNonWishedTitlesList = 0
    Err.Raise Err.Number, Err.Source, Err.Description
    Resume cleanup
End Function


'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' Inputs: MemberID, List
' Output: Integer return code
' Calls XGETWISHEDTITLES_ExecuteCommand method in DB2Util.bas module
Public Function GetMyWishedFull(ByVal MID As Integer, _
                                ByRef List As String) _
                                As Integer
On Error GoTo ErrorReport
    'Get Connection to Database
    Dim adoConn As ADODB.Connection
    Set adoConn = DBUtil.SAMPLE_GetConnection()
    
    'Open ADO Connection Object
    Call adoConn.Open

    'Calls a stored procedure on the database and returns
    'an XML document for wished titles.
    Call XGETWISHEDTITLES_ExecuteCommand(adoConn, MID, List)
    GetMyWishedFull = 0

cleanup:
    adoConn.Close
    Set adoConn = Nothing
    Exit Function

ErrorReport:
    GetMyWishedFull = -1
    Err.Raise Err.Number, Err.Source, Err.Description
    Resume cleanup
End Function


'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
' Inputs: MemberID, Titles
' Output: Integer return code
' Calls XWISHEDTITLESADD_ExecuteCommand method in DB2Util.bas module
Public Function AddWished(ByRef MID As Integer, _
                          ByRef Titles As String) _
                          As Integer
On Error GoTo ErrorReport
    'Get Connection to Database
    Dim adoConn As ADODB.Connection
    Set adoConn = DBUtil.SAMPLE_GetConnection()
    
    'Open ADO Connection Object
    Call adoConn.Open
    
    'Calls a stored procdure in the database and returns
    ' an XML document for added wished titles.
    Call DBUtil.XWISHEDTITLESADD_ExecuteCommand(adoConn, MID, Titles)
    AddWished = 0
cleanup:
    adoConn.Close
    Set adoConn = Nothing
    Exit Function

ErrorReport:
    AddWished = -1
    Err.Raise Err.Number, Err.Source, Err.Description
    Resume cleanup
End Function

